# mongoc_gridfs_bucket_stream_error()

## Synopsis

    bool
    mongoc_gridfs_bucket_stream_error (mongoc_stream_t *stream,
                                       bson_error_t *error);

## Parameters

- `stream`: A mongoc_stream_t created by mongoc_gridfs_bucket_open_upload_stream(), mongoc_gridfs_bucket_open_upload_stream_with_id(), or mongoc_gridfs_bucket_open_download_stream().

- `error`: A `bson_error_t` to receive the possible error.

## Description

Retrieves an error for a GridFS stream if one exists.

## Returns

True if an error occurred on the stream and sets `error`. False otherwise.

See also

mongoc_gridfs_bucket_open_upload_stream()
mongoc_gridfs_bucket_open_upload_stream_with_id()
mongoc_gridfs_bucket_open_download_stream()